Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.xml.crypto.wss
Interface WSSecurityInfo

public interface WSSecurityInfo

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`List` | `getEncryptions()`
`List` | `getEncryptions(SecurityToken token)`
`List` | `getSecurityTokens()`
`List` | `getSecurityTokens(String tokenType)`
`List` | `getSignatures()`
`List` | `getSignatures(SecurityToken token)`
`weblogic.xml.crypto.wss.api.Timestamp` | `getTimestamp()`

Method Detail

### getEncryptions

    public List getEncryptions()

  Returns:
    List of EncrytpionInfos corresponding to all EncryptedData decrypted during processing of security header.

### getEncryptions

    public List getEncryptions(SecurityToken token)

  Parameters:
    `token` -
  Returns:
    List of EncrytpionInfos describing what was encrypted with token.

### getSecurityTokens

    public List getSecurityTokens()

  Returns:
    List of all SecurityTokens found in the security header.

### getSecurityTokens

    public List getSecurityTokens(String tokenType)

  Parameters:
    `tokenType` -
  Returns:
    List of all SecurityTokens of this tokenType.

### getSignatures

    public List getSignatures()

  Returns:
    List of SignatureInfos describing Signatures found in the security header.

### getSignatures

    public List getSignatures(SecurityToken token)

  Parameters:
    `token` -
  Returns:
    List of XMLSignatures describing what was signed with token

### getTimestamp

    public weblogic.xml.crypto.wss.api.Timestamp getTimestamp()

  Returns:
    Timestamp found in the security header.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD